#优化清单- - 
#制作者:小埋
#有什么问题和建议可以提出来
#联系QQ：813685764
#这个无视[请勿修改,保持原来配置]
config-version: 7
#提示语言
messages:
#这是白名单列表提示[自行修改]
  whitelist: 你没有服务器白名单!
#如果打错指令，会显示这个，不再显示/help[自行修改]
  unknown-command: 请输入正确指令
#服务器满人提示 [自行修改]
  server-full: 服务器满人了
#没用- -
  outdated-client: Outdated client! Please use {}
#没用- -
  outdated-server: Outdated server! I'm still on {}
#服务器重启中提示[自行修改]
  restart: 服务器正在重启
#统计数据
stats:
  disable-saving: false
  forced-stats: {}
#开服cmd面板显示
commands:
#标签完成显示
  tab-complete: true
#玩家使用指令是否显示到cmd开服面板上[默认true]
  log: false
#基础设置 
settings:
  fullMatchRate: 10
  bungeecord: false
  sample-count: 12
#超时时间，请勿乱改.保持90为最佳
  timeout-time: 90
  restart-on-crash: true
#蹦服后显示自动重启指令
  restart-script: ./start.sh
  netty-threads: -1
  late-bind: false
  player-shuffle: 0
#世界设置
world-settings:
  default:
    verbose: false
#农作物生成速率[对性能影响较大，默认值是650，可以设置成350来提高性能。**的情况可以设置成150，但是会使得作物生长的速度明显变慢]
    chunks-per-tick: 450
#1.7.5以上版本才有，其控制用户缓存的大小（保存玩家名字和UUID的对应关系），如果你的服务器玩家很多，可以设置的更大一些，例如5000。如果你是离线模式的服务器，可以设置为0，关闭这个功能
    user-cache-size:5000
#1.7.5以上版本才有，其含义是是否只在服务器关闭/重启的时候保存用户缓存，设置为true可以提高性能，但是中途蹦服可能导致数据丢失，所以不建议生存模式的服务器开启
    save-user-cache-on-stop-only:true
#清除tick表
    clear-tick-list: false
#视距，默认值是10（对性能影响很大）含义是玩家的视距也就是加载的区块范围，默认是10个区块，视距10加载的区块是视距5的四倍。加载更多的区块则需要更多的内存和运算能力。推荐将这个值设置在5或者6，如果在线人数非常多可以设置为4
    view-distance: 5
#地狱门是否允许传送地狱猪人等等
    enable-zombie-pigmen-portal-spawns: true
#掉落物清理时间
    item-despawn-rate: 6000
#箭头清理时间[比如烈焰人的粒子等等]
    arrow-despawn-rate: 600
#掉落物、经验值的合并范围，建议把item设置为5.0，exp设置为6.0
    merge-radius:
      exp: 6.0
      item: 5.0
#随机的光照更新（对性能影响略大）设置为true的话服务器会随机更新光照 并且在区块加载的第一个tick运算光照逻辑 设置为false可以提高不少性能
    use-async-lighting: false
#僵尸夜晚是否主动来干♂村民   
    zombie-aggressive-towards-villager: true
#这个参数是控制实体的活跃范围（性能影响很大），例如monsters: 32意思是在玩家附近32格范围内的怪物才会活跃（被计算AI等），减少这个数值可以明显提升性能，但是设置得过小会使得游戏难度大幅降低
#一般可以把monsters设置为24，animals设置为12，misc设置为2（misc主要是掉落物，设置2可以使得掉落物几乎不再卡服）
    entity-activation-range:
      animals: 10
      monsters: 24
      misc: 2
#如果你的服务器有大量的漏斗红石设备，都设置为8可以显著解决漏斗带来的卡顿问题
    ticks-per:
      hopper-transfer: 8
      hopper-check: 8
#服务端自带的反透视功能，俗称假矿。对性能影响较大 
#engine-mode为1则是隐藏矿物，engine-mode为2则是将非矿物也伪装成矿物，engine-mode设置为2的效果最好，但是会额外吃一定的性能和宽带，但是engine-mode设置为1无法防御矿追
#例如你是纯RPG服务器，可以直接把enabled设置为false关闭这个功能，提高性能
    anti-xray:
      enabled: false
      engine-mode: 1
#隐藏的矿物物品ID，可以自行添加
      hide-blocks:
      - 14
      - 15
      - 16
      - 21
      - 48
      - 49
      - 54
      - 56
      - 73
      - 74
      - 82
      - 129
      - 130
#替换为什么物品[自行修改]
      replace-blocks:
      - 1
      - 5
#1.7.10+才有这个参数，意思是每个数据封包里塞多少个区块。适当提高这个数值，例如从10提高到15可以减少网络卡顿和客户端读取区块的速度，但是设置得过高会导致客户端崩溃
    max-bulk-chunks: 10
#这个参数是控制实体的可见范围，这个参数不会影响性能，对宽带的影响也极小。不建议修改这个参数，但是适当的降低数值可以减少客户端的卡顿
    entity-tracking-range:
      players: 40
      animals: 40
      monsters: 40
      misc: 25
      other: 55
    nerf-spawner-mobs: false
#随机的光照更新（对性能影响略大），设置为true的话服务器会随机更新光照，并且在区块加载的第一个tick运算光照逻辑。设置为false可以提高不少性能
    random-light-updates: false
#每tick（1/20秒）最多计算多少TNT爆炸，设置为20可以显著防御TNT蹦服
    max-tnt-per-tick: 20
#怪物生成范围  默认4
    mob-spawn-range: 3
#作物成长速度    
    growth:
      cactus-modifier: 100
      cane-modifier: 100
      melon-modifier: 100
      mushroom-modifier: 100
      pumpkin-modifier: 100
      sapling-modifier: 100
      wheat-modifier: 100
#是指每tick，实体和tile最多可以用的时间（单位是毫秒），对性能影响很大
#要明白其含义首先要解释什么是TPS，TPS的意思是每秒有多少tick，最大值是20，也就是每秒tick20次，每次50毫秒
#如果运算量过大导致每tick计算了超过了50毫秒，那么TPS就会下降，一旦TPS低于15就会产生明显的卡顿。
#在这参数中tile代表着熔炉、箱子、牌子、骷髅头等等所能占用的最大时间，entity是指的实体，例如动物、怪物、村民、展示框、掉落物、船、矿车等等。设置tile和entity的总和小于等于30则能明显降低tile和entity对TPS的影响
#而服务器运算资源几乎一大半都是由这两者消耗的。设置tile为10，entity为20比较合适，如果实体非常多，还可以设置tile为6，entity为24
#新版的paper服务端设置max-tick-time是无效的，如果实体对你服务器的性能占用很大，你可以选择自己加回这个功能，或者直接使用spigot服务端  【这一项很重要】 【划重点】
    max-tick-time:
      tile: 8
      entity: 18
#服务器特殊区块，例如巫女塔等等，关闭这个并且关闭server配置中的generate-structures:false 关闭此设置
#并且关服后手动删除每个世界（例如world、world_nether、world_the_end）下的data文件夹里的Fortress.dat、Mineshaft.dat、Stronghold.dat、Temple.dat、Village.dat等文件
    save-structure-info: false
#实体碰撞箱的阀值。建议设置为1或者0，可以减少密集卡服的问题。（设置为0则直接关闭实体碰撞箱）   
    max-entity-collisions: 0
#设置Integer的缓存，默认为1024，生存服特别是使用了其他的地形生成器的，设置为4096会有一定的性能提升
    int-cache-limit:1024
